Loading...
Searching...
No Matches
gx_gui::UiReglerWithCaption< T > Class Template Reference

`#include <gx_main_interface.h>`

Inheritance diagram for gx_gui::UiReglerWithCaption< T >:

## Public Member Functions

| UiReglerWithCaption ()
T * | get_regler ()
Public Member Functions inherited from gx_gui::CpBaseCaption
| CpBaseCaption ()
| ~CpBaseCaption ()
void | init (Gxw::Regler &regler, bool show_value)
void | set_effect_label (const char *label)
void | set_rack_label (const char *label)
void | set_rack_label_inverse (const char *label)

## Protected Attributes

T | regler
Protected Attributes inherited from gx_gui::CpBaseCaption
CpBase | base
Gtk::Label | m_label

## Detailed Description

template<class T>
class gx_gui::UiReglerWithCaption< T >

Definition at line 124 of file gx_main_interface.h.

## Constructor & Destructor Documentation

## UiReglerWithCaption()

template<class T>

gx_gui::UiReglerWithCaption< T >::UiReglerWithCaption | ( |  | ) |

inline

Definition at line 128 of file gx_main_interface.h.

## Member Function Documentation

## get_regler()

template<class T>

T * gx_gui::UiReglerWithCaption< T >::get_regler | ( |  | ) |

inline

Definition at line 130 of file gx_main_interface.h.

## Member Data Documentation

## regler

template<class T>

T gx_gui::UiReglerWithCaption< T >::regler

protected

Definition at line 126 of file gx_main_interface.h.

Referenced by get_regler(), and UiReglerWithCaption().

The documentation for this class was generated from the following file:

- src/headers/gx_main_interface.h